com.holonplatform.vaadin.flow.components.builders

## Interface ItemListingConfigurator.BaseItemListingColumnConfigurator<C extends ItemListingConfigurator.BaseItemListingColumnConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Known Subinterfaces:
    ItemListingConfigurator.ColumnConfigurator, ItemListingConfigurator.ItemListingColumnBuilder<T,P,L,B>, ItemListingConfigurator.ItemListingColumnConfigurator<T,P,C>
  Enclosing interface:
    ItemListingConfigurator<T,P,L extends ItemListing<T,P>,C extends ItemListingConfigurator<T,P,L,C>>

      public static interface ItemListingConfigurator.BaseItemListingColumnConfigurator<C extends ItemListingConfigurator.BaseItemListingColumnConfigurator<C>>

  Base ItemListing column configurator.
  Since:
    5.2.11

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `alignment(ItemListingConfigurator.ColumnAlignment alignment)` Sets the column text alignment.
    `default C` | `autoWidth()` Enables automatic width for the column.
    `C` | `autoWidth(boolean autoWidth)` Enables or disables automatic width for the column.
    `C` | `flexGrow(int flexGrow)` Sets the flex grow ratio for the column.
    `C` | `resizable(boolean resizable)` Set whether the column is user-resizable.
    `C` | `visible(boolean visible)` Set whether the column is visible.
    `C` | `width(String width)` Sets the width of the column as a CSS-string.

- - ### Method Detail

    - #### resizable

          C resizable(boolean resizable)

      Set whether the column is user-resizable.
      Parameters:
        `resizable` - Whether the column is user-resizable
      Returns:
        this

    - #### visible

          C visible(boolean visible)

      Set whether the column is visible.
      Parameters:
        `visible` - Whether the column is visible
      Returns:
        this

    - #### width

          C width(String width)

      Sets the width of the column as a CSS-string.
      Parameters:
        `width` - the width to set
      Returns:
        this

    - #### flexGrow

          C flexGrow(int flexGrow)

      Sets the flex grow ratio for the column.

      When set to 0, column width is fixed.

      Parameters:
        `flexGrow` - the flex grow ratio to set
      Returns:
        this

    - #### autoWidth

          C autoWidth(boolean autoWidth)

      Enables or disables automatic width for the column.

      Automatically sets the width of the column based on the columncontents when this is set to true.

      For performance reasons the column width is calculated automaticallyonly once when the grid items are rendered for the first time and thecalculation only considers the rows which are currently rendered inDOM (a bit more than what is currently visible). If the grid isscrolled, or the cell content changes, the column width might notmatch the contents anymore.

      Parameters:
        `autoWidth` - Whether to enable the column auto-width
      Returns:
        this
      Since:
        5.3.0

    - #### autoWidth

          default C autoWidth()

      Enables automatic width for the column.

      Automatically sets the width of the column based on the columncontents when this is set to true.

      For performance reasons the column width is calculated automaticallyonly once when the grid items are rendered for the first time and thecalculation only considers the rows which are currently rendered inDOM (a bit more than what is currently visible). If the grid isscrolled, or the cell content changes, the column width might notmatch the contents anymore.

      Returns:
        this
      Since:
        5.3.0

    - #### alignment

          C alignment(ItemListingConfigurator.ColumnAlignment alignment)

      Sets the column text alignment.
      Parameters:
        `alignment` - the text alignment to set
      Returns:
        this

Copyright © 2020 The Holon Platform. All rights reserved.